## aiosignal 1.2.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

SRC = aiosignal tests setup.py

all: test

.install-deps: 
	pip install -r requirements/dev.txt
	@touch .install-deps

isort:
	isort -rc $(SRC)

flake: .flake

.flake: .install-deps $(shell find aiosignal -type f) \
                      $(shell find tests -type f)
	flake8 aiosignal tests
	python setup.py check -rms
	@if ! isort -c -rc aiosignal tests; then \
            echo "Import sort errors, run 'make isort' to fix them!"; \
            isort --diff -rc aiosignal tests; \
            false; \
	fi
	@if ! LC_ALL=C sort -c CONTRIBUTORS.txt; then \
            echo "CONTRIBUTORS.txt sort error"; \
	fi
	@touch .flake

flake8:
	flake8 $(SRC)

mypy: .flake
	mypy aiosignal

isort-check:
	@if ! isort -rc --check-only $(SRC); then \
            echo "Import sort errors, run 'make isort' to fix them!!!"; \
            isort --diff -rc $(SRC); \
            false; \
	fi

check_changes:
	./tools/check_changes.py

.develop: .install-deps $(shell find aiosignal -type f) .flake check_changes mypy
	# pip install -e .
	@touch .develop

test: .develop
	@pytest -c pytest.ci.ini -q

vtest: .develop
	@pytest -c pytest.ci.ini -s -v

cov cover coverage:
	tox

cov-dev: .develop
	@pytest -c pytest.ci.ini --cov-report=html
	@echo "open file://`pwd`/htmlcov/index.html"

cov-ci-run: .develop
	@echo "Regular run"
	@pytest -c pytest.ci.ini --cov-report=html

cov-dev-full: cov-ci-run
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	@rm -rf `find . -name __pycache__`
	@rm -f `find . -type f -name '*.py[co]' `
	@rm -f `find . -type f -name '*~' `
	@rm -f `find . -type f -name '.*~' `
	@rm -f `find . -type f -name '@*' `
	@rm -f `find . -type f -name '#*#' `
	@rm -f `find . -type f -name '*.orig' `
	@rm -f `find . -type f -name '*.rej' `
	@rm -f .coverage
	@rm -rf htmlcov
	@rm -rf build
	@rm -rf cover
	@make -C docs clean
	@python setup.py clean
	@rm -rf .tox
	@rm -f .develop
	@rm -f .flake
	@rm -f .install-deps
	@rm -rf aiosignal.egg-info

doc:
	@make -C docs html SPHINXOPTS="-W -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W -E"

install:
	@pip install -U 'pip'
	@pip install -Ur requirements/dev.txt

install-dev: .develop

.PHONY: all build flake test vtest cov clean doc mypy

=== debian/changelog ===
aiosignal (1.2.0-2) unstable; urgency=high

  * Team upload.
  * Source-only upload to allow testing migration. (Closes: #1001235)
  * debian/control: Use correct Vcs-* URLs.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Dec 2021 15:06:11 -0500

aiosignal (1.2.0-1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 28 Nov 2021 15:11:14 +0000

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiosignal
%:
	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

#override_dh_auto_build-indep:
#	dh_auto_build -i
#ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
#	cd docs && \
#	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
#	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
#	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
#endif

## aiosignal 1.3.1

=== debian/changelog ===
aiosignal (1.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 10 Nov 2022 13:05:18 +0100

## aiosignal 1.3.2

=== debian/changelog ===
aiosignal (1.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Jan 2025 14:38:09 +0100

=== debian/control ===
Source: aiosignal
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               python3-all,
               python3-setuptools,
               python3-frozenlist,
# documentation:
#               python3-sphinx,
#               python3-sphinxcontrib-asyncio,
#               python3-sphinxcontrib.spelling,
Standards-Version: 4.6.0
Homepage: https://github.com/aio-libs/aiosignal
Vcs-Git: https://salsa.debian.org/python-team/packages/aiosignal.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiosignal

Package: python3-aiosignal
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: manage callbacks in asyncio projects
 Signal is a list of registered asynchronous callbacks.
 .
 The signal's life-cycle has two stages: after creation its content
 could be filled by using standard list operations: `sig.append()` etc.
 .
 After you call `sig.freeze()` the signal is frozen: adding, removing
 and dropping callbacks is forbidden.
 .
 The only available operation is calling the previously registered
 callbacks by using `await sig.send(data)`.

## aiosignal 1.4.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiosignal.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiosignal.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiosignal"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiosignal"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished."

=== debian/changelog ===
aiosignal (1.4.0-1) unstable; urgency=medium

  * Team upload.

  [ IanLucca ]
  * New upstream version 1.4.0

  [ Colin Watson ]
  * Run tests using pytest.
  * Enable autopkgtest-pkg-pybuild.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Aug 2025 13:13:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-frozenlist,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-pytest-cov <!nocheck>,
 # documentation:
 #               python3-sphinx,
 #               python3-sphinxcontrib-asyncio,
@@ -15,6 +19,7 @@
 Homepage: https://github.com/aio-libs/aiosignal
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiosignal.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiosignal
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-aiosignal
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=aiosignal
 %:
 	#dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #override_dh_auto_build-indep:
 #	dh_auto_build -i

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiosignal/aiosignal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
